For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
        • POSTCreate folder
        • GETGet folder
        • PATCHUpdate folder
        • DELDelete folder
        • POSTBulk move tests to folder
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTestsTest Folders

Get folder

GET
/v1/convai/agent-testing/folders/:folder_id
GET
/v1/convai/agent-testing/folders/:folder_id
$curl https://api.elevenlabs.io/v1/convai/agent-testing/folders/folder_id \
> -H "Content-Type: application/json"
1{
2 "id": "tfld_7301khxdkycse5f88fzjdtrterzm",
3 "name": "QA Automation Tests",
4 "folder_path": [
5 {
6 "id": "tfld_1a2b3c4d5e6f7g8h9i0j",
7 "name": "Root"
8 },
9 {
10 "id": "tfld_2b3c4d5e6f7g8h9i0j1k",
11 "name": "Agent Testing"
12 }
13 ],
14 "children_count": 12
15}
Gets an agent test folder by ID, including its folder path.
Was this page helpful?
Previous

Update folder

Next
Built with

Path parameters

folder_idstringRequired
The folder ID.

Headers

xi-api-keystringOptional

Response

Folder details retrieved successfully
idstring
namestring
folder_pathlist of objects
The path from the root folder to the current folder.
children_countintegerDefaults to 0

The number of direct children (tests and subfolders) in this folder

Errors

422
Unprocessable Entity Error